%define		qtver	4.6.3
%define		kdever	4.5.1
Summary:	GUI for the R-project
Summary(pl.UTF-8):	Interfejs dla języka R
Name:		rkward
Version:	0.6.1
Release:	1
License:	GPL
Group:		Applications/Math
Source0:	http://downloads.sourceforge.net/rkward/%{name}-%{version}.tar.gz
# Source0-md5:	aa2c16c4b76f729289bd2853fa4da2a8
URL:		http://rkward.sourceforge.net/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtScriptTools-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtTest-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	R >= 3.0.0
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	R >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RKWard aims to provide an easily extensible, easy to use GUI for the
R-project, that will one day seamlessly integrate with KOffice. RKWard
tries to combine the power of the R-language with the (relative) ease
of use of commercial tools like SPSS.

%description -l pl.UTF-8
RKWard ma na celu udostępnienie łatwo rozszerzalnego, łatwego w użyciu
środowiska graficzngo dla języka R, które któregoś dnia może zostać
zintegrowane z KOffice. RKWard jest próbą połączenia mocy języka R z
(względną) łatwością użycia komercyjnych narzędzi typu SPSS.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DLIBR_SO=%{_libdir}/libR.so

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO AUTHORS
%attr(755,root,root) %{_bindir}/rkward
%attr(755,root,root) %{_libdir}/kde4/libexec/rkward.frontend
%attr(755,root,root) %{_libdir}/kde4/libexec/rkward.rbackend
%{_desktopdir}/kde4/rkward.desktop
%{_datadir}/apps/rkward
%{_iconsdir}/hicolor/*/apps/rkward.png
%{_iconsdir}/hicolor/*/apps/rkward.svgz
%{_libdir}/R/library/rkward
%{_libdir}/R/library/rkwardtests
%{_mandir}/man1/rkward.1*
#%{_datadir}/apps/katepart/syntax/r.xml
%{_datadir}/apps/katepart/syntax/rkward.xml
%{_datadir}/doc/kde/HTML/en/rkwardplugins
%changelog
* Thu Dec 05 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rkward.git;a=log;h=master

* Thu Dec 05 2013 Jan Rękorajski <baggins@pld-linux.org> 829cea4
- up to 0.6.1 for R 3.0.0

* Mon Jun 13 2011 lisu <lisu@pld-linux.org> d9fd0d5
- updated to 0.5.6
- package more files

* Tue Mar 22 2011 lisu <lisu@pld-linux.org> dbfc2b3
- up to 0.5.5
- rpmbuild(macros) >= 1.600

* Tue Oct 05 2010 lisu <lisu@pld-linux.org> 26b627e
- up to 0.5.4
- drop cmake options provided by %%cmake macro

* Sat May 08 2010 lisu <lisu@pld-linux.org> e9315e3
- BR: QtSvg-devel

* Sat May 08 2010 lisu <lisu@pld-linux.org> 8ab9f2e
- fix after adapter

* Sat May 08 2010 lisu <lisu@pld-linux.org> 8b7ff78
- add missing BRs: qt4-build, qt4-qmake

* Tue May 04 2010 lisu <lisu@pld-linux.org> 4cd97f7
- up to 0.5.3
- seems to work

* Sat Apr 24 2010 lisu <lisu@pld-linux.org> a9af821
- TODO

* Thu Apr 01 2010 shadzik <shadzik@pld-linux.org> e99805c
- B600

* Thu Apr 01 2010 lisu <lisu@pld-linux.org> 6a05323
- s/scons/cmake/ in previous commits

* Thu Apr 01 2010 lisu <lisu@pld-linux.org> 0aa0339
- ups, typo in Source0 url
- pl fixes

* Thu Apr 01 2010 lisu <lisu@pld-linux.org> ecad7e9
- up to 0.5.2
- cmake build system
- drop %%post and %%postun - we don't need them anymore
- changes in %%files

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f86c685
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4603338
- converted to UTF-8

* Sat Dec 24 2005 undefine <undefine@pld-linux.org> c1da7de
- up to 0.3.4

* Sat Jun 25 2005 blekot <blekot@pld-linux.org> fcca0d6
- only hicolor icons

* Tue May 17 2005 darekr <darekr@pld-linux.org> 2de9525
- unify

* Thu Apr 28 2005 undefine <undefine@pld-linux.org> aa3dcc4
- up to 0.3.2

* Mon Mar 28 2005 undefine <undefine@pld-linux.org> 5c0525d
- up to 0.3.1

